Package org.openoffice.da.comp.w2lcommon.filter

# Class ConfigurationDialogBase

java.lang.Object
com.sun.star.lib.uno.helper.WeakBase
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase

All Implemented Interfaces:
  `com.sun.star.awt.XContainerWindowEventHandler`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.uno.XInterface`, `com.sun.star.uno.XWeak`

Direct Known Subclasses:
  `ConfigurationDialog`, `ConfigurationDialog`

public abstract class ConfigurationDialogBase extends com.sun.star.lib.uno.helper.WeakBase implements com.sun.star.awt.XContainerWindowEventHandler
This is a base implementation of a uno component which supports several option pages with a single `XContainerWindowEventHandler`. The title of the dialogs are used to differentiate between the individual pages

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`ConfigurationDialogBase.AttributePageHandler`
`protected class`
`ConfigurationDialogBase.CustomFileHandler`
`protected class`
`ConfigurationDialogBase.PageHandler`
`protected class`
`ConfigurationDialogBase.StylesPageHandler`
`protected class`
`ConfigurationDialogBase.UserListPageHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Config`
`config`
`protected FilePicker`
`filePicker`
`protected Map<String,ConfigurationDialogBase.PageHandler>`
`pageHandlers`
`protected com.sun.star.ucb.XSimpleFileAccess2`
`sfa2`
`protected com.sun.star.uno.XComponentContext`
`xContext`
`protected com.sun.star.util.XStringSubstitution`
`xPathSub`

### Fields inherited from class com.sun.star.lib.uno.helper.WeakBase

`_mapTypes`

### Fields inherited from interface com.sun.star.awt.XContainerWindowEventHandler

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.uno.XWeak

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationDialogBase(com.sun.star.uno.XComponentContext xContext)`
Create a new `ConfigurationDialogBase`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`callHandlerMethod(com.sun.star.awt.XWindow xWindow, Object event, String sMethod)`
`protected abstract String`
`getConfigFileName()`
`protected abstract String`
`getDialogLibraryName()`
`protected abstract String`
`getMIMEType()`

### Methods inherited from class com.sun.star.lib.uno.helper.WeakBase

`finalize, getImplementationId, getTypes, queryAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.sun.star.awt.XContainerWindowEventHandler

`getSupportedMethodNames`

## Field Details

### xContext

protected com.sun.star.uno.XComponentContext xContext

### filePicker

protected FilePicker filePicker

### sfa2

protected com.sun.star.ucb.XSimpleFileAccess2 sfa2

### xPathSub

protected com.sun.star.util.XStringSubstitution xPathSub

### config

protected Config config

### pageHandlers

protected Map<String,ConfigurationDialogBase.PageHandler> pageHandlers

## Constructor Details

### ConfigurationDialogBase

public ConfigurationDialogBase(com.sun.star.uno.XComponentContext xContext)
Create a new `ConfigurationDialogBase`

## Method Details

### getMIMEType

protected abstract String getMIMEType()

### getDialogLibraryName

protected abstract String getDialogLibraryName()

### getConfigFileName

protected abstract String getConfigFileName()

### callHandlerMethod

public boolean callHandlerMethod(com.sun.star.awt.XWindow xWindow, Object event, String sMethod) throws com.sun.star.lang.WrappedTargetException

Specified by:
  `callHandlerMethod` in interface `com.sun.star.awt.XContainerWindowEventHandler`
Throws:
  `com.sun.star.lang.WrappedTargetException`